Bug 107501 - some international dialup codes missing
some international dialup codes missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-19 10:33 EDT by Roman Maurer
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.3.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-27 08:54:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for adding some international dialup codes (1.32 KB, patch)
2003-10-22 15:19 EDT, Roman Maurer
no flags Details | Diff

  None (edit)
Description Roman Maurer 2003-10-19 10:33:39 EDT
Description of problem:
redhat-config-network 1.3.7 lacks international phone dialup codes for some
countries.

Version-Release number of selected component (if applicable):
redhat-config-network 1.3.7

Proposed patch:

--- src/netconfpkg/NCDialup.py.orig     2003-10-08 17:10:13.000000000 +0200
+++ src/netconfpkg/NCDialup.py  2003-10-19 16:29:47.000000000 +0200
@@ -47,6 +47,7 @@
     _("Argentina") : 54,
     _("Australia") : 61,
     _("Austria") : 43,
+    _("Belarus") : 375,
     _("Belgium") : 32,
     _("Bosnia and Hercegovina") : 387,
     _("Brazil") : 55,
@@ -59,6 +60,7 @@
     _("Colombia") : 47,
     _("Croatia") : 385,
     _("Cuba") : 53,
+    _("Cyprus") : 357,
     _("Czech Republic") : 420,
     _("Denmark") : 45,
     _("Finland") : 358,
@@ -74,18 +76,30 @@
     _("Israel") : 972,
     _("Italy") : 39,
     _("Japan") : 81,
+    _("Kazakhstan") : 7,
     _("Korea North") : 850,
     _("Korea Republic") : 82,
-    _("Malaysia") : 60,
+    _("Liechtenstein") : 423,
+    _("Lithuania") : 370,
     _("Luxembourg") : 352,
+    _("Macedonia") : 389,
+    _("Malaysia") : 60,
+    _("Malta") : 356,
     _("Mexico") : 52,
+    _("Moldova") : 373,
+    _("Monaco") : 377,
     _("Netherlands") : 31,
     _("New Zealand") : 64,
     _("Norway") : 47,
+    _("Palestine") : 970,
     _("Philippines") : 63,
+    _("Poland") : 48,
+    _("Portugal") : 351,
     _("Romania") : 30,
+    _("Russia") : 7,
     _("Singapore") : 65,
     _("Slovakia") : 421,
+    _("Slovenia") : 386,
     _("Spain") : 34,
     _("Sweden") : 46,
     _("Switzerland") : 41,
Comment 1 Roman Maurer 2003-10-22 15:19:06 EDT
Created attachment 95395 [details]
patch for adding some international dialup codes

This patch adds international dialup codes for Belarus, Cyprus, Kazakhstan,
Liechtenstein, Lithuania, Macedonia, Malta, Moldova, Monaco, Palestine, Poland,
Portugal, Russia and Slovenia. Source is my phone book.
Comment 2 Harald Hoyer 2003-10-23 02:28:10 EDT
many thanks

Note You need to log in before you can comment on or make changes to this bug.